opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::BruteForceMatcher< Distance > Class Template Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::BruteForceMatcher< Distance >:

## Public Member Functions

| BruteForceMatcher (Distance d=Distance())
virtual Ptr< DescriptorMatcher > | clone (bool emptyTrainData=false) const
virtual bool | isMaskSupported () const
virtual | ~BruteForceMatcher ()
Public Member Functions inherited from cv::DescriptorMatcher
virtual void | add (const vector< Mat > &descriptors)
virtual void | clear ()
bool | empty () const
const vector< Mat > & | getTrainDescriptors () const
void | knnMatch (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< vector< DMatch > > &matches, int k, const Mat &mask=Mat(), bool compactResult=false) const
void | knnMatch (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | match (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< DMatch > &matches, const Mat &mask=Mat()) const
void | match (const Mat &queryDescriptors, vector< DMatch > &matches, const vector< Mat > &masks=vector< Mat >())
void | radiusMatch (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const Mat &mask=Mat(), bool compactResult=false) const
void | radiusMatch (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual void | read (const FileNode &)
virtual void | train ()
virtual void | write (FileStorage &) const
virtual | ~DescriptorMatcher ()

## Protected Member Functions

virtual void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
template<>
void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
template<>
void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)
Protected Member Functions inherited from cv::DescriptorMatcher
void | checkMasks (const vector< Mat > &masks, int queryDescriptorsCount) const

## Protected Attributes

Distance | distance
Protected Attributes inherited from cv::DescriptorMatcher
vector< Mat > | trainDescCollection

## Additional Inherited Members

Static Public Member Functions inherited from cv::DescriptorMatcher
static Ptr< DescriptorMatcher > | create (const string &descriptorMatcherType)
Static Protected Member Functions inherited from cv::DescriptorMatcher
static Mat | clone_op (Mat m)
static bool | isMaskedOut (const vector< Mat > &masks, int queryIdx)
static bool | isPossibleMatch (const Mat &mask, int queryIdx, int trainIdx)

## Constructor & Destructor Documentation

template<class Distance>

cv::BruteForceMatcher< Distance >::BruteForceMatcher | ( | Distance | d = `Distance()` | ) |

inline

template<class Distance>

virtual cv::BruteForceMatcher< Distance >::~BruteForceMatcher | ( |  | ) |

inline virtual

## Member Function Documentation

template<class Distance >

Ptr< DescriptorMatcher > cv::BruteForceMatcher< Distance >::clone | ( | bool | emptyTrainData = `false` | ) | const

virtual

Implements cv::DescriptorMatcher.

template<class Distance>

virtual bool cv::BruteForceMatcher< Distance >::isMaskSupported | ( |  | ) | const

inline virtual

Implements cv::DescriptorMatcher.

template<class Distance >

void cv::BruteForceMatcher< Distance >::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector<Mat>()`,
|  | bool | compactResult = `false`
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

template<>

void cv::BruteForceMatcher< L2< float > >::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

template<class Distance >

void cv::BruteForceMatcher< Distance >::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector<Mat>()`,
|  | bool | compactResult = `false`
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

template<>

void cv::BruteForceMatcher< L2< float > >::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

## Member Data Documentation

template<class Distance>

Distance cv::BruteForceMatcher< Distance >::distance

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp